org.apache.commons.math3.exception

## Class TooManyIterationsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MaxCountExceededException
            - - org.apache.commons.math3.exception.TooManyIterationsException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class TooManyIterationsException
    extends MaxCountExceededException

Exception to be thrown when the maximal number of iterations is exceeded.

Since:
  3.1
Version:
  $Id$
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`TooManyIterationsException(java.lang.Number max)` Construct the exception.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MaxCountExceededException

`getMax`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

### Constructor Detail

#### TooManyIterationsException

    public TooManyIterationsException(java.lang.Number max)

Construct the exception.

Parameters:
  `max` - Maximum number of evaluations.